Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface AssemblyDescriptorType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  AssemblyDescriptorTypeImpl

    public interface AssemblyDescriptorType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `assembly-descriptorType` xsd type

Original Documentation:

The assembly-descriptorType defines
application-assembly information.
The application-assembly information consists of the
following parts: the definition of security roles, the
definition of method permissions, the definition of
transaction attributes for enterprise beans with
container-managed transaction demarcation, the definition
of interceptor bindings, a list of
methods to be excluded from being invoked, and a list of
exception types that should be treated as application exceptions.
All the parts are optional in the sense that they are
omitted if the lists represented by them are empty.
Providing an assembly-descriptor in the deployment
descriptor is optional for the ejb-jar or .war file producer.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`ApplicationExceptionType<AssemblyDescriptorType<T>>` | `applicationException()` Returns the `application-exception` element
`ContainerTransactionType<AssemblyDescriptorType<T>>` | `containerTransaction()` Returns the `container-transaction` element
`ExcludeListType<AssemblyDescriptorType<T>>` | `excludeList()` If not already created, a new `exclude-list` element will be created and returned.
`java.util.List<ApplicationExceptionType<AssemblyDescriptorType<T>>>` | `getApplicationExceptionList()` Returns all `application-exception` elements
`java.util.List<ContainerTransactionType<AssemblyDescriptorType<T>>>` | `getContainerTransactionList()` Returns all `container-transaction` elements
`java.util.List<InterceptorBindingType<AssemblyDescriptorType<T>>>` | `getInterceptorBindingList()` Returns all `interceptor-binding` elements
`java.util.List<MessageDestinationType<AssemblyDescriptorType<T>>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<MethodPermissionType<AssemblyDescriptorType<T>>>` | `getMethodPermissionList()` Returns all `method-permission` elements
`java.util.List<SecurityRoleType<AssemblyDescriptorType<T>>>` | `getSecurityRoleList()` Returns all `security-role` elements
`InterceptorBindingType<AssemblyDescriptorType<T>>` | `interceptorBinding()` Returns the `interceptor-binding` element
`MessageDestinationType<AssemblyDescriptorType<T>>` | `messageDestination()` Returns the `message-destination` element
`MethodPermissionType<AssemblyDescriptorType<T>>` | `methodPermission()` Returns the `method-permission` element
`AssemblyDescriptorType<T>` | `removeAllApplicationException()` Removes all `application-exception` elements
`AssemblyDescriptorType<T>` | `removeAllContainerTransaction()` Removes all `container-transaction` elements
`AssemblyDescriptorType<T>` | `removeAllInterceptorBinding()` Removes all `interceptor-binding` elements
`AssemblyDescriptorType<T>` | `removeAllMessageDestination()` Removes all `message-destination` elements
`AssemblyDescriptorType<T>` | `removeAllMethodPermission()` Removes all `method-permission` elements
`AssemblyDescriptorType<T>` | `removeAllSecurityRole()` Removes all `security-role` elements
`AssemblyDescriptorType<T>` | `removeExcludeList()` Removes the `exclude-list` element
`SecurityRoleType<AssemblyDescriptorType<T>>` | `securityRole()` Returns the `security-role` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### removeAllSecurityRole

    AssemblyDescriptorType<T> removeAllSecurityRole()

  Removes all `security-role` elements

  Returns:
    the current instance of `AssemblyDescriptorType`

### securityRole

    SecurityRoleType<AssemblyDescriptorType<T>> securityRole()

  Returns the `security-role` element

  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    java.util.List<SecurityRoleType<AssemblyDescriptorType<T>>> getSecurityRoleList()

  Returns all `security-role` elements

  Returns:
    list of `security-role`

### removeAllMethodPermission

    AssemblyDescriptorType<T> removeAllMethodPermission()

  Removes all `method-permission` elements

  Returns:
    the current instance of `AssemblyDescriptorType`

### methodPermission

    MethodPermissionType<AssemblyDescriptorType<T>> methodPermission()

  Returns the `method-permission` element

  Returns:
    the node defined for the element `method-permission`

### getMethodPermissionList

    java.util.List<MethodPermissionType<AssemblyDescriptorType<T>>> getMethodPermissionList()

  Returns all `method-permission` elements

  Returns:
    list of `method-permission`

### removeAllContainerTransaction

    AssemblyDescriptorType<T> removeAllContainerTransaction()

  Removes all `container-transaction` elements

  Returns:
    the current instance of `AssemblyDescriptorType`

### containerTransaction

    ContainerTransactionType<AssemblyDescriptorType<T>> containerTransaction()

  Returns the `container-transaction` element

  Returns:
    the node defined for the element `container-transaction`

### getContainerTransactionList

    java.util.List<ContainerTransactionType<AssemblyDescriptorType<T>>> getContainerTransactionList()

  Returns all `container-transaction` elements

  Returns:
    list of `container-transaction`

### removeAllInterceptorBinding

    AssemblyDescriptorType<T> removeAllInterceptorBinding()

  Removes all `interceptor-binding` elements

  Returns:
    the current instance of `AssemblyDescriptorType`

### interceptorBinding

    InterceptorBindingType<AssemblyDescriptorType<T>> interceptorBinding()

  Returns the `interceptor-binding` element

  Returns:
    the node defined for the element `interceptor-binding`

### getInterceptorBindingList

    java.util.List<InterceptorBindingType<AssemblyDescriptorType<T>>> getInterceptorBindingList()

  Returns all `interceptor-binding` elements

  Returns:
    list of `interceptor-binding`

### removeAllMessageDestination

    AssemblyDescriptorType<T> removeAllMessageDestination()

  Removes all `message-destination` elements

  Returns:
    the current instance of `AssemblyDescriptorType`

### messageDestination

    MessageDestinationType<AssemblyDescriptorType<T>> messageDestination()

  Returns the `message-destination` element

  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    java.util.List<MessageDestinationType<AssemblyDescriptorType<T>>> getMessageDestinationList()

  Returns all `message-destination` elements

  Returns:
    list of `message-destination`

### removeExcludeList

    AssemblyDescriptorType<T> removeExcludeList()

  Removes the `exclude-list` element

  Returns:
    the current instance of `AssemblyDescriptorType`

### excludeList

    ExcludeListType<AssemblyDescriptorType<T>> excludeList()

  If not already created, a new `exclude-list` element will be created and returned. Otherwise, the existing `exclude-list` element will be returned.

  Returns:
    the node defined for the element `exclude-list`

### removeAllApplicationException

    AssemblyDescriptorType<T> removeAllApplicationException()

  Removes all `application-exception` elements

  Returns:
    the current instance of `AssemblyDescriptorType`

### applicationException

    ApplicationExceptionType<AssemblyDescriptorType<T>> applicationException()

  Returns the `application-exception` element

  Returns:
    the node defined for the element `application-exception`

### getApplicationExceptionList

    java.util.List<ApplicationExceptionType<AssemblyDescriptorType<T>>> getApplicationExceptionList()

  Returns all `application-exception` elements

  Returns:
    list of `application-exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD